From 30ebbc785110be182de0d47ad21425a9ad269a68 Mon Sep 17 00:00:00 2001
From: Alexey Minnekhanov <alexeymin@postmarketos.org>
Date: Sun, 18 Sep 2022 17:21:43 +0300
Subject: [PATCH 58/59] AlpineApkReviewsBackend: compat with upstream changes

Adapt to changes in ee3d6e9c912d901174a44fe96136583086cd6932: add
overrides for new abstract methods, move userName() to protected
---
 .../AlpineApkReviewsBackend.h                 | 20 ++++++++++++++++---
 1 file changed, 17 insertions(+), 3 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkReviewsBackend.h b/libdiscover/backends/AlpineApkBackend/AlpineApkReviewsBackend.h
index 435f845ba..523dd4cb9 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkReviewsBackend.h
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkReviewsBackend.h
@@ -32,7 +32,6 @@ class AlpineApkReviewsBackend : public AbstractReviewsBackend
 public:
     explicit AlpineApkReviewsBackend(AlpineApkBackend *parent = nullptr);
 
-    QString userName() const override { return QStringLiteral("dummy"); }
     void login() override {}
     void logout() override {}
     void registerAndLogin() override {}
@@ -42,11 +41,26 @@ public:
     void deleteReview(Review *) override {}
     void fetchReviews(AbstractResource *app, int page = 1) override;
     bool isFetching() const override { return false; }
-    bool isReviewable() const override { return false; }
-    void submitReview(AbstractResource *, const QString &, const QString &, const QString &) override {}
+    bool isReviewable() const override
+    {
+        return false;
+    }
     void flagReview(Review *, const QString&, const QString&) override {}
     void submitUsefulness(Review *, bool) override {}
     bool isResourceSupported(AbstractResource *) const override { return false; }
+    bool supportsNameChange() const override
+    {
+        return false;
+    }
+
+protected:
+    void sendReview(AbstractResource *, const QString &, const QString &, const QString &, const QString &) override
+    {
+    }
+    QString userName() const override
+    {
+        return QStringLiteral("dummy");
+    }
 };
 
 #endif // ALPINEAPKREVIEWSBACKEND_H
-- 
GitLab


